Package ru.bitel.bgbilling.modules.bill.server.bean

# Class BillDocumentDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.bill.server.bean.AbstractBillDao
ru.bitel.bgbilling.modules.bill.server.bean.BillDocumentDao

public class BillDocumentDao extends AbstractBillDao

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BILL_DATA_FIELDS`

  ### Fields inherited from class ru.bitel.bgbilling.modules.bill.server.bean.AbstractBillDao

  `con, moduleId, moduleSetup, setup, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillDocumentDao(Setup setup, ParameterMap moduleSetup, Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <B> List<B>`
  `getBillDocumentList(Connection con, int moduleId, String table, int contractId, Page page, Function<ResultSet,B> converter)`
  Временный метод для поддержки двух разных классов Bill без copy-paste.
  `List<BillDocument>`
  `list(int contractId, Page page)`
  Возвращает список Bill

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BILL_DATA_FIELDS

    public static final String BILL_DATA_FIELDS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BillDocumentDao

    public BillDocumentDao(Setup setup, ParameterMap moduleSetup, Connection con, int moduleId)

- ## Method Details

  - ### getBillDocumentList

    public static <B> List<B> getBillDocumentList(Connection con, int moduleId, String table, int contractId, Page page, Function<ResultSet,B> converter)
    Временный метод для поддержки двух разных классов Bill без copy-paste. Возвращает список счетов для договора.
    Parameters:
      `cid` - - ContractID
    Returns:

  - ### list

    public List<BillDocument> list(int contractId, Page page) throws ru.bitel.bgbilling.common.BGException
    Возвращает список Bill
    Parameters:
      `cid` - - ContractID
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`